org.springframework.cloud.dataflow.rest.resource

## Class LauncherResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<LauncherResource>
  - - org.springframework.cloud.dataflow.rest.resource.LauncherResource

-     public class LauncherResource
      extends org.springframework.hateoas.RepresentationModel<LauncherResource>

  Author:
    Ilayaperumal Gopinathan

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LauncherResource.Page`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LauncherResource(Launcher launcher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getName()`
    `List<ConfigurationMetadataPropertyEntity>` | `getOptions()`
    `String` | `getType()`
    `void` | `setDescription(String description)`
    `void` | `setName(String name)`
    `void` | `setOptions(List<ConfigurationMetadataPropertyEntity> options)`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LauncherResource

          public LauncherResource(Launcher launcher)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getType

          public String getType()

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getOptions

          public List<ConfigurationMetadataPropertyEntity> getOptions()

    - #### setOptions

          public void setOptions(List<ConfigurationMetadataPropertyEntity> options)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.